require 'spec_helper'

describe Users::JoinRequestSerializer do
  it 'works' do
    user = create :user
    list = create :list
    join_request = list.join_request_for_user(user)
    result = described_class.serialize(join_request).deep_symbolize_keys
    result[:data].should match hash_including(type: 'join-requests', id: "jr-#{user.id}")
  end
end
